Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.tls
Class TlsCipherSuite

    java.lang.Object
      org.bouncycastle.crypto.tls.TlsCipherSuite

Direct Known Subclasses:
  TlsBlockCipherCipherSuite, TlsNullCipherSuite

    public abstract class TlsCipherSuite

extends java.lang.Object

A generic class for ciphersuites in TLS 1.0.

Field Summary
`protected static short` | `KE_DH_anon`
`protected static short` | `KE_DH_DSS`
`protected static short` | `KE_DH_RSA`
`protected static short` | `KE_DHE_DSS`
`protected static short` | `KE_DHE_DSS_EXPORT`
`protected static short` | `KE_DHE_RSA`
`protected static short` | `KE_DHE_RSA_EXPORT`
`protected static short` | `KE_RSA`
`protected static short` | `KE_RSA_EXPORT`
`protected static short` | `KE_SRP`
`protected static short` | `KE_SRP_DSS`
`protected static short` | `KE_SRP_RSA`

Constructor Summary
`TlsCipherSuite()`

Method Summary
`protected abstract byte[]` | `decodeCiphertext(short type, byte[] plaintext, int offset, int len, TlsProtocolHandler handler)`
`protected abstract byte[]` | `encodePlaintext(short type, byte[] plaintext, int offset, int len)`
`protected abstract short` | `getKeyExchangeAlgorithm()`
`protected abstract void` | `init(byte[] ms, byte[] cr, byte[] sr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KE_RSA

    protected static final short KE_RSA

See Also:
  Constant Field Values

### KE_RSA_EXPORT

    protected static final short KE_RSA_EXPORT

See Also:
  Constant Field Values

### KE_DHE_DSS

    protected static final short KE_DHE_DSS

See Also:
  Constant Field Values

### KE_DHE_DSS_EXPORT

    protected static final short KE_DHE_DSS_EXPORT

See Also:
  Constant Field Values

### KE_DHE_RSA

    protected static final short KE_DHE_RSA

See Also:
  Constant Field Values

### KE_DHE_RSA_EXPORT

    protected static final short KE_DHE_RSA_EXPORT

See Also:
  Constant Field Values

### KE_DH_DSS

    protected static final short KE_DH_DSS

See Also:
  Constant Field Values

### KE_DH_RSA

    protected static final short KE_DH_RSA

See Also:
  Constant Field Values

### KE_DH_anon

    protected static final short KE_DH_anon

See Also:
  Constant Field Values

### KE_SRP

    protected static final short KE_SRP

See Also:
  Constant Field Values

### KE_SRP_RSA

    protected static final short KE_SRP_RSA

See Also:
  Constant Field Values

### KE_SRP_DSS

    protected static final short KE_SRP_DSS

See Also:
  Constant Field Values

Constructor Detail

### TlsCipherSuite

    public TlsCipherSuite()

Method Detail

### init

    protected abstract void init(byte[] ms,
                                 byte[] cr,
                                 byte[] sr)

### encodePlaintext

    protected abstract byte[] encodePlaintext(short type,
                                              byte[] plaintext,
                                              int offset,
                                              int len)

### decodeCiphertext

    protected abstract byte[] decodeCiphertext(short type,
                                               byte[] plaintext,
                                               int offset,
                                               int len,
                                               TlsProtocolHandler handler)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getKeyExchangeAlgorithm

    protected abstract short getKeyExchangeAlgorithm()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD